"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'dragonworldreloaded',
    name: 'Dragonworld Reloaded',
    description: 'Dragonworld Reloaded is a GERMAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'de-DE',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://dragonworld-reloaded.net/'],
    caps: {
        categorymappings: [
            { id: '118', cat: 'Movies/HD', desc: 'Kino - HD' },
            { id: '141', cat: 'Movies/HD', desc: 'Kino - Blu-Ray/ 4K' },
            { id: '4', cat: 'Movies/SD', desc: 'Kino - SD' },
            { id: '139', cat: 'Movies/3D', desc: 'Movies - 3D' },
            { id: '19', cat: 'Movies/HD', desc: 'Movies - HD' },
            { id: '18', cat: 'Movies/SD', desc: 'Movies - x264/XviD' },
            { id: '26', cat: 'Movies/BluRay', desc: 'Movies - Blu-Ray/ 4K' },
            { id: '2', cat: 'Movies', desc: 'Movies - Pack SD/HD' },
            { id: '41', cat: 'TV/HD', desc: 'Serien - HD' },
            { id: '40', cat: 'TV/SD', desc: 'Serien - SD' },
            { id: '80', cat: 'TV/HD', desc: 'Serien - Pack HD' },
            { id: '42', cat: 'TV/SD', desc: 'Serien - Pack SD' },
            { id: '119', cat: 'Audio', desc: 'Musik - Alben' },
            { id: '5', cat: 'Audio/MP3', desc: 'Musik - Mp3' },
            { id: '92', cat: 'Audio', desc: 'Musik - Discography' },
            { id: '136', cat: 'Audio/Video', desc: 'Musik - Videos' },
            { id: '38', cat: 'TV/Documentary', desc: 'Doku - HD' },
            { id: '37', cat: 'TV/Documentary', desc: 'Doku - SD' },
            { id: '140', cat: 'Console', desc: 'Games - Nintendo/Sonstige' },
            { id: '16', cat: 'PC/Games', desc: 'Games - PC' },
            { id: '14', cat: 'Console/Other', desc: 'Games - Wimmelbild' },
            { id: '30', cat: 'PC/0day', desc: 'Appz - Windows' },
            { id: '106', cat: 'PC/Mobile-Android', desc: 'Appz - Android' },
            { id: '138', cat: 'PC/0day', desc: 'Appz - Sonstiges' },
            { id: '43', cat: 'TV/Sport', desc: 'Sport - SD' },
            { id: '50', cat: 'TV/Sport', desc: 'Sport - HD' },
            { id: '36', cat: 'Books/Comics', desc: 'Sonstiges - Anime' },
            { id: '34', cat: 'Books/Ebook', desc: 'Sonstiges - E-Books' },
            { id: '35', cat: 'Audio/Audiobook', desc: 'Sonstiges - Audiobook' },
            { id: '47', cat: 'XXX', desc: 'XXX - SD/HD' },
            { id: '49', cat: 'XXX', desc: 'XXX - Sonstiges' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: 'pin', type: 'text', label: 'Pin' },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="/login.php"]',
        cookies: ['JAVA=OK'],
        captcha: {
            type: 'image',
            selector: 'img[src^="cap/captcha_math.php"]',
            input: 'stringCaptcha',
        },
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            pin: '{{ .Config.pin }}',
            loggiin: 'einloggen',
        },
        error: [{ selector: 'div#login_error' }],
        test: { path: 'selection.php' },
    },
    download: {
        before: {
            path: 'ajax_det_poll.php',
            method: 'post',
            inputs: {
                set_thanks: 'thanks',
                det_id: '{{ .DownloadUri.Query.torrent }}',
                ajax: 'yes',
            },
        },
    },
    search: {
        paths: [{ path: 'selection.php' }],
        inputs: {
            search: '{{ .Keywords }}',
            blah: '0',
            orderby: 'added',
            sort: 'desc',
        },
        rows: { selector: 'div.selection_wrap' },
        fields: {
            title: { selector: 'a.selection_a' },
            details: { selector: 'a.selection_a', attribute: 'href' },
            download: {
                selector: 'a.selection_a',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['details.php?id=', 'download.php?torrent='],
                    },
                ],
            },
            category: {
                selector: 'div.kat_cat_pic',
                case: {
                    ':has(div.kat_cat_pic_name:contains("Kino")):has(div.kat_cat_pic_name_b:contains("HD"))': '118',
                    ':has(div.kat_cat_pic_name:contains("Kino")):has(div.kat_cat_pic_name_b:contains("Blu-Ray/ 4K"))': '141',
                    ':has(div.kat_cat_pic_name:contains("Kino")):has(div.kat_cat_pic_name_b:contains("SD"))': '4',
                    ':has(div.kat_cat_pic_name:contains("Movies")):has(div.kat_cat_pic_name_b:contains("3D"))': '139',
                    ':has(div.kat_cat_pic_name:contains("Movies")):has(div.kat_cat_pic_name_b:contains("HD"))': '19',
                    ':has(div.kat_cat_pic_name:contains("Movies")):has(div.kat_cat_pic_name_b:contains("x264/XviD"))': '18',
                    ':has(div.kat_cat_pic_name:contains("Movies")):has(div.kat_cat_pic_name_b:contains("Blu-Ray/ 4K"))': '26',
                    ':has(div.kat_cat_pic_name:contains("Movies")):has(div.kat_cat_pic_name_b:contains("Pack SD/HD"))': '2',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("HD"))': '41',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("SD"))': '40',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Pack HD"))': '80',
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Pack SD"))': '42',
                    ':has(div.kat_cat_pic_name:contains("Musik")):has(div.kat_cat_pic_name_b:contains("Alben"))': '119',
                    ':has(div.kat_cat_pic_name:contains("Musik")):has(div.kat_cat_pic_name_b:contains("Mp3"))': '5',
                    ':has(div.kat_cat_pic_name:contains("Musik")):has(div.kat_cat_pic_name_b:contains("Discography"))': '92',
                    ':has(div.kat_cat_pic_name:contains("Musik")):has(div.kat_cat_pic_name_b:contains("Videos"))': '136',
                    ':has(div.kat_cat_pic_name:contains("Doku")):has(div.kat_cat_pic_name_b:contains("HD"))': '38',
                    ':has(div.kat_cat_pic_name:contains("Doku")):has(div.kat_cat_pic_name_b:contains("SD"))': '37',
                    ':has(div.kat_cat_pic_name:contains("Games")):has(div.kat_cat_pic_name_b:contains("Nintendo/Sonstige"))': '140',
                    ':has(div.kat_cat_pic_name:contains("Games")):has(div.kat_cat_pic_name_b:contains("PC"))': '16',
                    ':has(div.kat_cat_pic_name:contains("Games")):has(div.kat_cat_pic_name_b:contains("Wimmelbild"))': '14',
                    ':has(div.kat_cat_pic_name:contains("Appz")):has(div.kat_cat_pic_name_b:contains("Windows"))': '30',
                    ':has(div.kat_cat_pic_name:contains("Appz")):has(div.kat_cat_pic_name_b:contains("Android"))': '106',
                    ':has(div.kat_cat_pic_name:contains("Appz")):has(div.kat_cat_pic_name_b:contains("Sonstiges"))': '138',
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("SD"))': '43',
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("HD"))': '50',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("Anime"))': '36',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("E-Books"))': '34',
                    ':has(div.kat_cat_pic_name:contains("Sonstiges")):has(div.kat_cat_pic_name_b:contains("Audiobook"))': '35',
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("SD/HD"))': '47',
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("Sonstiges"))': '49',
                },
            },
            poster: { selector: 'div[id^="details"] img', attribute: 'src' },
            size: {
                selector: 'div.selection_unter_ad',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            grabs: {
                selector: 'div.selection_unter_ae',
                filters: [
                    { name: 'trim', args: 'x' },
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            seeders: {
                selector: 'div.selection_unter_aa',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            leechers: {
                selector: 'div.selection_unter_aaa',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            date: {
                selector: 'div.selection_unter_ab:contains(".")',
                optional: true,
                filters: [
                    { name: 'replace', args: [' um', ''] },
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '02.01.2006 15:04:05 -07:00' },
                ],
            },
            description: { selector: 'selection_unter_af', optional: true },
            downloadvolumefactor: {
                case: { ':root:has(div.onlyup)': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 43200 },
        },
    },
    source: 'jackett',
};
