"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'madsrevolution',
    name: 'MaDs Revolution',
    description: 'MaDs Revolution is a Private GERMAN site for MOVIES / TV / GENERAL',
    language: 'de-DE',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://madsrevolution.net/'],
    caps: {
        categorymappings: [
            { id: '52', cat: 'Movies/UHD', desc: 'Filme UHD' },
            { id: '3', cat: 'Movies/HD', desc: 'Filme 1080p' },
            { id: '4', cat: 'Movies/HD', desc: 'Filme 720p' },
            { id: '47', cat: 'Movies/HD', desc: 'Filme x264' },
            { id: '2', cat: 'Movies/SD', desc: 'Filme DivX/XviD' },
            { id: '1', cat: 'Movies/DVD', desc: 'Filme DVD-R' },
            { id: '20', cat: 'Movies/3D', desc: 'Filme 3D' },
            { id: '54', cat: 'TV/UHD', desc: 'Serien UHD' },
            { id: '28', cat: 'TV/HD', desc: 'Serien 1080p' },
            { id: '26', cat: 'TV/HD', desc: 'Serien 720p' },
            { id: '48', cat: 'TV/HD', desc: 'Serien x264' },
            { id: '27', cat: 'TV/SD', desc: 'Serien DivX/XviD' },
            { id: '25', cat: 'TV/SD', desc: 'Serien DVD-R' },
            { id: '8', cat: 'TV/Other', desc: 'Serien Unsorted' },
            { id: '38', cat: 'Audio', desc: 'Musik Album' },
            { id: '37', cat: 'Audio', desc: 'Musik Single/EP' },
            { id: '40', cat: 'Audio/Video', desc: 'Musik Video' },
            { id: '39', cat: 'Audio', desc: 'Musik Pack' },
            { id: '14', cat: 'Audio/Other', desc: 'Musik Unsorted' },
            { id: '44', cat: 'PC/0day', desc: 'Software Windows' },
            { id: '42', cat: 'PC/Mac', desc: 'Software Mac' },
            { id: '41', cat: 'PC', desc: 'Software Linux' },
            { id: '43', cat: 'PC/Mobile-Other', desc: 'Software Mobile' },
            { id: '11', cat: 'PC', desc: 'Software Unsorted' },
            { id: '12', cat: 'PC/Games', desc: 'Spiele PC' },
            { id: '13', cat: 'Console', desc: 'Spiele Konsole' },
            { id: '17', cat: 'Console', desc: 'Spiele Portable' },
            { id: '46', cat: 'Console', desc: 'Spiele Other' },
            { id: '53', cat: 'TV/Documentary', desc: 'Dokus UHD' },
            { id: '24', cat: 'TV/Documentary', desc: 'Dokus 1080p' },
            { id: '22', cat: 'TV/Documentary', desc: 'Dokus 720p' },
            { id: '49', cat: 'TV/Documentary', desc: 'Dokus x264' },
            { id: '23', cat: 'TV/Documentary', desc: 'Dokus DivX/XviD' },
            { id: '21', cat: 'TV/Documentary', desc: 'Dokus DVD-R' },
            { id: '7', cat: 'TV/Documentary', desc: 'Dokus Unsorted' },
            { id: '55', cat: 'TV/Sport', desc: 'Sport UHD' },
            { id: '32', cat: 'TV/Sport', desc: 'Sport 1080p' },
            { id: '30', cat: 'TV/Sport', desc: 'Sport 720p' },
            { id: '50', cat: 'TV/Sport', desc: 'Sport x264' },
            { id: '31', cat: 'TV/Sport', desc: 'Sport DivX/XviD' },
            { id: '29', cat: 'TV/Sport', desc: 'Sport DVD-R' },
            { id: '9', cat: 'TV/Sport', desc: 'Sport Unsorted' },
            { id: '15', cat: 'Audio/Audiobook', desc: 'Books aBooks' },
            { id: '18', cat: 'Books/Ebook', desc: 'Books eBooks' },
            { id: '56', cat: 'XXX', desc: 'XXX UHD' },
            { id: '36', cat: 'XXX', desc: 'XXX 1080p' },
            { id: '34', cat: 'XXX', desc: 'XXX 720p' },
            { id: '51', cat: 'XXX', desc: 'XXX x264' },
            { id: '35', cat: 'XXX', desc: 'XXX DivX/XviD' },
            { id: '33', cat: 'XXX', desc: 'XXX DVD-R' },
            { id: '10', cat: 'XXX', desc: 'XXX Unsorted' },
            { id: '5', cat: 'TV/Anime', desc: 'Misc Anime' },
            { id: '6', cat: 'TV/Anime', desc: 'Misc Hentai' },
            { id: '19', cat: 'Other', desc: 'Misc Other' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'info_tpp',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 's3',
            options: {
                s3: 'created',
                s6: 'seeders',
                s4: 'size',
                s1: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'DESC',
            options: { DESC: 'desc', ASC: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            keeplogged: 1,
        },
        error: [{ selector: 'div#error-text' }],
        test: { path: 'index.php', selector: 'a[href^="logout.php?auth="]' },
    },
    search: {
        paths: [{ path: 'torrents.php' }],
        inputs: {
            $raw: '{{ range .Categories }}filter_cat[{{.}}]=1&{{end}}{{ if .Config.freeleech }}action=uploadonly&{{ else }}{{ end }}',
            searchstr: '{{ .Keywords }}',
        },
        rows: {
            selector: 'table#torrent_table > tbody > tr.torrent:has(a[href^="torrents.php?action=download&id="])',
        },
        fields: {
            category: {
                selector: 'a.c-sub',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '\\[(\\d+)\\]' }],
            },
            title: { selector: 'a[href^="torrents.php?id="]' },
            details: {
                selector: 'a[href^="torrents.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="torrents.php?action=download&id="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="torrents.php?id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=(.+?) ' }],
            },
            date: {
                selector: 'td:nth-last-child(5)',
                filters: [
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '02 Jan 2006, 15:04 -07:00' },
                ],
            },
            size: { selector: 'td:nth-last-child(4)' },
            grabs: { selector: 'td:nth-last-child(3)' },
            seeders: { selector: 'td:nth-last-child(2)' },
            leechers: { selector: 'td:nth-last-child(1)' },
            downloadvolumefactor: {
                case: { 'strong:contains("UploadOnly!")': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 0.8 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
