"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'turktorrent',
    name: 'TurkTorrent',
    description: 'TurkTorrent (TT) is a TURKISH Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'tr-TR',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://turktorrent.us/'],
    legacylinks: ['http://turktorrent1.in/', 'http://turktorrent.us/'],
    caps: {
        categorymappings: [
            { id: '36', cat: 'Movies', desc: 'Film' },
            { id: '59', cat: 'Movies', desc: 'Türk Filmi' },
            { id: '61', cat: 'Movies/3D', desc: 'Film 3D' },
            { id: '18', cat: 'Movies', desc: 'Anime - Çizgi' },
            { id: '20', cat: 'Movies', desc: 'Film Boxset' },
            { id: '22', cat: 'Movies/DVD', desc: 'Film DVD Disk' },
            { id: '24', cat: 'Movies/BluRay', desc: 'Film Bluray Disk' },
            { id: '26', cat: 'Movies/UHD', desc: '4Film K UHD Disk' },
            { id: '28', cat: 'Movies/HD', desc: 'Film X265' },
            { id: '30', cat: 'Movies/HD', desc: 'Film X264' },
            { id: '69', cat: 'Movies/WEB-DL', desc: 'Film H264 WEB-DL' },
            { id: '63', cat: 'Movies/SD', desc: 'Film XviD' },
            { id: '51', cat: 'Other', desc: 'Diğer' },
            { id: '62', cat: 'Other', desc: 'Diğer Eğitim' },
            { id: '52', cat: 'Other', desc: 'Diğer Belgesel' },
            { id: '53', cat: 'Other', desc: 'Diğer Dini Yayınlar' },
            { id: '54', cat: 'TV/Sport', desc: 'Spor' },
            { id: '55', cat: 'Other', desc: 'Diğer Duvar Kağıtları' },
            { id: '56', cat: 'Other', desc: 'Diğer  Her Şey' },
            { id: '65', cat: 'Books/Ebook', desc: 'E-Kitap' },
            { id: '2', cat: 'Console', desc: 'Oyun' },
            { id: '46', cat: 'Console', desc: 'Oyun PC' },
            { id: '3', cat: 'Console', desc: 'Oyun Sony PS' },
            { id: '4', cat: 'Console', desc: 'Oyun Wii' },
            { id: '14', cat: 'Console', desc: 'Oyun XboX' },
            { id: '16', cat: 'Console', desc: 'Oyun Nintendo' },
            { id: '35', cat: 'TV', desc: 'Netflix' },
            { id: '41', cat: 'TV', desc: 'Netflix Anime - Çizgi' },
            { id: '39', cat: 'TV', desc: 'Netflix Film' },
            { id: '38', cat: 'TV', desc: 'Netflix Dizi' },
            { id: '40', cat: 'TV', desc: 'Netflix Belgesel' },
            { id: '31', cat: 'TV', desc: 'Dizi' },
            { id: '32', cat: 'TV', desc: 'Dizi Yerli' },
            {
                id: '33',
                cat: 'TV',
                desc: 'Dizi Yabancı Orjinal Dil / Tr Dublaj ',
            },
            { id: '34', cat: 'TV', desc: 'Dizi Boxset' },
            { id: '42', cat: 'Audio', desc: 'Müzik' },
            { id: '43', cat: 'Audio', desc: 'Müzik Türkçe' },
            { id: '44', cat: 'Audio', desc: 'Müzik Yabancı' },
            { id: '45', cat: 'Audio', desc: 'Müzik Seri Albüm - Diskografi' },
            { id: '47', cat: 'PC', desc: 'Programlar' },
            { id: '48', cat: 'PC', desc: 'Programlar Windows' },
            { id: '49', cat: 'PC', desc: 'Programlar MaC' },
            { id: '50', cat: 'PC', desc: 'Programlar Mobile' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'info',
            type: 'info',
            label: 'Layout',
            default: '<ol><li>Only the English Classic profile is supported.<li>Make sure to set the <b>Torrent Listing (Listeleme Biçimi)</b> option in your profile to <b>Classic (Klasik)</b><li>And set the <b>Language (Dil)</b> to <b>English</b><li>Using the <i>Modern</i> theme will prevent results, and using <i>Turkish</i> will prevent upload dates.</ol>',
        },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Filter freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: { added: 'created', seeders: 'seeders', size: 'size' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: '?p=home&pid=1',
        method: 'form',
        form: 'form#loginbox_form',
        submitpath: 'ajax/login.php',
        inputs: {
            action: 'login',
            loginbox_membername: '{{ .Config.username }}',
            loginbox_password: '{{ .Config.password }}',
            loginbox_remember: 1,
        },
        selectorinputs: {
            securitytoken: {
                selector: 'script:contains("stKey: ")',
                filters: [{ name: 'regexp', args: 'stKey: "(.+?)",' }],
            },
        },
        error: [{ selector: 'div.error' }, { selector: ':contains("-ERROR-")' }],
        test: { path: '?p=home&pid=1', selector: 'div#member_info_bar' },
    },
    search: {
        paths: [{ path: '/' }],
        inputs: {
            p: 'torrents',
            pid: 32,
            $raw: '{{ range .Categories }}cid[]={{.}}&{{end}}',
            keywords: '{{ .Keywords }}',
            search_type: 'name',
            'sortOptions[sortBy]': '{{ .Config.sort }}',
            'sortOptions[sortOrder]': '{{ .Config.type }}',
        },
        rows: {
            selector: 'table#torrents_table_classic > tbody > tr:has(td.torrent_name){{ if .Config.freeleech }}:has(img[src$="/freedownload.gif"]){{ else }}{{ end }}',
        },
        fields: {
            category: {
                selector: 'div.category_image > a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cid' }],
            },
            title: { selector: 'a[href*="?p=torrents&pid=10&action=details"]' },
            details: {
                selector: 'a[href*="?p=torrents&pid=10&action=details"]',
                attribute: 'href',
            },
            date: {
                optional: true,
                selector: 'td.torrent_name:contains(" at ")',
                filters: [
                    { name: 'regexp', args: 'Uploaded (.+?) by' },
                    { name: 'replace', args: [' at ', ' '] },
                ],
            },
            download: {
                selector: 'a[href*="?p=torrents&pid=10&action=download"]',
                attribute: 'href',
            },
            magnet: {
                optional: true,
                selector: 'a[href^="magnet:?xt="]',
                attribute: 'href',
            },
            size: { selector: 'a[rel="torrent_size"]' },
            seeders: { selector: 'a[rel="torrent_seeders"]' },
            leechers: { selector: 'a[rel="torrent_leechers"]' },
            grabs: { selector: 'a[rel="times_completed"]' },
            poster: { selector: 'a[rel="fancybox"]', attribute: 'href' },
            downloadvolumefactor: {
                case: {
                    'img[src$="/freedownload.gif"]': 0,
                    'img[src$="/silverdownload.gif"]': 0.5,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: { 'img[src$="/torrent_x2.png"]': 2, '*': 1 },
            },
            minimumratio: { text: 0.5 },
        },
    },
    source: 'jackett',
};
