"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'generationfree',
    name: 'Generation-Free',
    description: 'Generation-Free is a FRENCH Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'fr-FR',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://generation-free.biz/'],
    caps: {
        categorymappings: [
            { id: '106', cat: 'TV/Anime', desc: 'Animation: FR' },
            { id: '13', cat: 'TV/Anime', desc: 'Animation: VO' },
            { id: '140', cat: 'PC', desc: 'Applications: Noel' },
            { id: '16', cat: 'PC/Games', desc: 'Applications: Jeux' },
            { id: '17', cat: 'PC/Mac', desc: 'Applications: Mac' },
            { id: '18', cat: 'PC/0day', desc: 'Applications: PC' },
            { id: '40', cat: 'PC', desc: 'Applications: Linux' },
            { id: '117', cat: 'PC', desc: 'Applications: Appli-autre' },
            {
                id: '38',
                cat: 'PC/Mobile-Other',
                desc: 'Applications: Mobile Phone',
            },
            {
                id: '19',
                cat: 'PC/Mobile-Android',
                desc: 'Applications: Android',
            },
            { id: '67', cat: 'TV/Other', desc: 'Autres: Emission TV' },
            { id: '142', cat: 'TV/Sport', desc: 'Autres: Emission sport' },
            { id: '141', cat: 'TV/Other', desc: 'Autres: Noel' },
            { id: '90', cat: 'Books/Ebook', desc: 'BD: Bande Dessinée' },
            { id: '76', cat: 'TV/Documentary', desc: 'Documentaires: FR' },
            { id: '139', cat: 'TV/Documentary', desc: 'Documentaires: Noel' },
            { id: '134', cat: 'TV/Documentary', desc: 'Documentaires: VO' },
            { id: '138', cat: 'Books/Ebook', desc: 'E-Books: Noel' },
            {
                id: '62',
                cat: 'Audio/Audiobook',
                desc: 'E-Books: E-Books Audio',
            },
            { id: '36', cat: 'Books/Ebook', desc: 'E-Books: Livres Français' },
            { id: '49', cat: 'Books/Ebook', desc: 'E-Books: Manuel Anglais' },
            { id: '53', cat: 'Books/Ebook', desc: 'E-Books: Livre Anglais' },
            { id: '52', cat: 'Books/Ebook', desc: 'E-Books: Revue - Journaux' },
            { id: '50', cat: 'Books/Ebook', desc: 'E-Books: Manuel Français' },
            { id: '66', cat: 'Movies', desc: 'Films: VOSTFR' },
            { id: '65', cat: 'Movies', desc: 'Films: VO' },
            { id: '55', cat: 'Movies/HD', desc: 'Films: MHD x265' },
            { id: '54', cat: 'Movies/HD', desc: 'Films: MHD HDlight' },
            { id: '69', cat: 'Movies/3D', desc: 'Films: 3D' },
            { id: '110', cat: 'Movies/WEB-DL', desc: 'Films: WEB' },
            { id: '2', cat: 'Movies/HD', desc: 'Films: HD' },
            { id: '59', cat: 'Movies', desc: 'Films: Spectacle' },
            { id: '89', cat: 'Movies/SD', desc: 'Films: SD' },
            { id: '70', cat: 'Movies/HD', desc: 'Films: X265' },
            { id: '92', cat: 'Movies/UHD', desc: 'Films: 4K' },
            { id: '135', cat: 'Movies', desc: 'Films: Noel' },
            { id: '87', cat: 'XXX', desc: 'Films: XXX' },
            { id: '4', cat: 'Movies', desc: 'Films: ISO' },
            { id: '151', cat: 'TV', desc: 'Films: .Série animation' },
            { id: '150', cat: 'TV', desc: 'Films: .Film série' },
            { id: '77', cat: 'PC/Mobile-Other', desc: 'GPS: Cartes' },
            { id: '78', cat: 'PC/Mobile-Other', desc: 'GPS: Radars' },
            { id: '97', cat: 'Audio', desc: 'Musique: Podcast' },
            { id: '137', cat: 'Audio', desc: 'Musique: Noel' },
            { id: '25', cat: 'Audio/MP3', desc: 'Musique: Single MP3' },
            { id: '143', cat: 'Audio/MP3', desc: 'Musique: Wav' },
            { id: '22', cat: 'Audio/MP3', desc: 'Musique: Album MP3' },
            { id: '98', cat: 'Audio', desc: 'Musique: karaoké' },
            { id: '58', cat: 'Audio', desc: 'Musique: Concert' },
            { id: '24', cat: 'Audio/Lossless', desc: 'Musique: Single Flac' },
            { id: '23', cat: 'Audio/Lossless', desc: 'Musique: Album Flac' },
            { id: '64', cat: 'Audio', desc: 'Musique: Mégamix Maison' },
            { id: '6', cat: 'TV', desc: 'Serie TV: Saison FR' },
            { id: '7', cat: 'TV', desc: 'Serie TV: Episode FR' },
            { id: '153', cat: 'TV', desc: 'Serie TV: Saison VO' },
            { id: '63', cat: 'TV', desc: 'Serie TV: Episode VO' },
            { id: '93', cat: 'TV', desc: 'Serie TV: Saison VOSTFR' },
            { id: '61', cat: 'TV', desc: 'Serie TV: Episode VOSTFR' },
            { id: '12', cat: 'TV', desc: 'Serie TV: Animation' },
            { id: '136', cat: 'TV', desc: 'Serie TV: Noel' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'multilang',
            type: 'checkbox',
            label: 'Replace MULTI by another language in release name',
            default: false,
        },
        {
            name: 'multilanguage',
            type: 'select',
            label: 'Replace MULTI by this language',
            default: 'VOSTFR',
            options: {
                FRENCH: 'FRENCH',
                'MULTI FRENCH': 'MULTI FRENCH',
                ENGLISH: 'ENGLISH',
                'MULTI ENGLISH': 'MULTI ENGLISH',
                VOSTFR: 'VOSTFR',
                'MULTI VOSTFR': 'MULTI VOSTFR',
            },
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'id',
            options: {
                id: 'created',
                seeders: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'account-login.php',
        method: 'post',
        inputs: {
            login_name: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td#msgError' }],
        test: {
            path: 'index.php',
            selector: 'a[href="account-logout.php"]',
        },
    },
    download: {
        before: {
            path: 'list_thanks.php',
            inputs: {
                id: '{{ .DownloadUri.Query.id }}',
                to: 'give',
                torrent: '{{ .DownloadUri.Query.id }}',
            },
        },
        selector: 'a[href^="download.php?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'torrents-search.php' }],
        inputs: {
            cat: 0,
            search: '{{ .Keywords }}',
            incldead: 1,
            freeleech: '{{ if .Config.freeleech }}2{{ else }}0{{ end }}',
            lang: 0,
            sort: '{{ .Config.sort }}',
            order: '{{ .Config.type }}',
        },
        rows: { selector: 'table.ttable_headinner > tbody > tr.t-row' },
        fields: {
            title_original: {
                selector: 'a[href^="torrents-details.php?id="] b',
            },
            title_multilang: {
                text: '{{ .Result.title_original }}',
                filters: [
                    {
                        name: 're_replace',
                        args: ['(?i)(\\sMULTI\\s)', ' {{ .Config.multilanguage }} '],
                    },
                ],
            },
            title: {
                text: '{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_original }}{{ end }}',
            },
            category: {
                selector: 'a[href^="torrents.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            details: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-last-child(5)' },
            seeders: { selector: 'td:nth-last-child(4)' },
            leechers: { selector: 'td:nth-last-child(3)' },
            grabs: { selector: 'td:nth-last-child(2)' },
            date: { text: 'now' },
            downloadvolumefactor: {
                case: { 'img[src="images/fl.gif"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
            minimumseedtime: { text: 172800 },
        },
    },
    source: 'jackett',
};
