"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'lastfiles',
    name: 'LastFiles',
    description: 'LastFiles (LF) is a ROMANIAN Private Torrent Tracker for 0DAY / GENERAL',
    language: 'ro-RO',
    type: 'private',
    encoding: 'UTF-8',
    followredirect: true,
    links: [
        'https://www.lastfiles.ro/',
        'http://www.lastfiles.ro/',
        'https://www.last-torrents.org/',
        'http://www.last-torrents.org/',
    ],
    legacylinks: ['http://last-torrents.org/', 'https://last-torrents.org/'],
    caps: {
        categorymappings: [
            { id: '31', cat: 'Movies/UHD', desc: 'Movies: 4K' },
            { id: '5', cat: 'Movies/BluRay', desc: 'Movies: BluRay' },
            { id: '9', cat: 'Movies/DVD', desc: 'Movies: DVD' },
            { id: '11', cat: 'Movies/HD', desc: 'Movies: HD' },
            { id: '58', cat: 'Movies/SD', desc: 'Movies/Cam' },
            { id: '61', cat: 'Movies/3D', desc: 'Movies/3D' },
            { id: '24', cat: 'Movies/SD', desc: 'Movies: XVID' },
            { id: '16', cat: 'Movies', desc: 'Movies: Old' },
            { id: '15', cat: 'Movies', desc: 'Movies Mobile' },
            { id: '54', cat: 'Movies/WEB-DL', desc: 'Movies/WEB-DL' },
            { id: '56', cat: 'TV/Documentary', desc: 'Documentary' },
            { id: '18', cat: 'Movies', desc: 'Movies: Pack' },
            { id: '32', cat: 'Movies/UHD', desc: 'Movies:4KRO' },
            { id: '6', cat: 'Movies/BluRay', desc: 'Movies: BluRay-Ro' },
            { id: '12', cat: 'Movies/HD', desc: 'Movies: HD-Ro' },
            { id: '81', cat: 'Movies/HD', desc: 'Movies: x265-Ro' },
            { id: '82', cat: 'Movies/HD', desc: 'Movies: x265' },
            { id: '10', cat: 'Movies/DVD', desc: 'Movies: DVD-Ro' },
            { id: '59', cat: 'Movies/SD', desc: 'Movies/Cam-RO' },
            { id: '25', cat: 'Movies/SD', desc: 'Movies: XVID-Ro' },
            { id: '17', cat: 'Movies', desc: 'Movies: Old-Ro' },
            { id: '55', cat: 'Movies/WEB-DL', desc: 'Movies/WEB-DL Ro' },
            { id: '57', cat: 'TV/Documentary', desc: 'Documentary-Ro' },
            { id: '62', cat: 'Movies/3D', desc: 'Movies/3D-Ro' },
            { id: '19', cat: 'Movies', desc: 'Movies: Pack-Ro' },
            { id: '20', cat: 'TV', desc: 'TV Episodes' },
            { id: '21', cat: 'TV', desc: 'TV Episodes-Ro' },
            { id: '13', cat: 'TV/HD', desc: 'HDTV Episodes' },
            { id: '14', cat: 'TV/HD', desc: 'HDTV Episodes-Ro' },
            { id: '28', cat: 'Audio', desc: 'Music' },
            { id: '51', cat: 'PC/Mobile-Android', desc: 'Android Apps' },
            { id: '26', cat: 'PC/0day', desc: 'Software' },
            { id: '30', cat: 'PC/Games', desc: 'Games: PC-ISO' },
            { id: '33', cat: 'PC/Games', desc: 'Games: Packs' },
            { id: '1', cat: 'TV/Anime', desc: 'Movies: Anime' },
            { id: '2', cat: 'TV/Anime', desc: 'Movies: Anime-Ro' },
            { id: '42', cat: 'TV/Sport', desc: 'Sport' },
            { id: '43', cat: 'Books', desc: 'Documents' },
            { id: '44', cat: 'Other', desc: 'Images' },
            { id: '49', cat: 'Other', desc: 'Diverse' },
            { id: '22', cat: 'Other', desc: 'RoContent' },
            { id: '60', cat: 'XXX', desc: 'ImagesXXX' },
            { id: '27', cat: 'XXX', desc: 'Movies: XXX' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'cookie', type: 'text', label: 'Cookie' },
        {
            name: 'info',
            type: 'info',
            label: 'How to get the Cookie',
            default: "<ol><li>Access this tracker with your browser<li>click on the <b>Apply Filter</b> button on the page to invoke the search and solve the challenge<li>Open the <b>DevTools</b> panel by pressing <b>F12</b><li>Select the <b>Network</b> tab<li>Click on the <b>Doc</b> button (Chrome Browser) or <b>HTML</b> button (FireFox)<li>Refresh the page by pressing <b>F5</b><li>Click on the first row entry<li>Select the <b>Headers</b> tab on the Right panel<li>Find <b>'cookie:'</b> in the <b>Request Headers</b> section<li><b>Select</b> and <b>Copy</b> the whole cookie string <i>(everything after 'cookie: ')</i> and <b>Paste</b> here.</ol>",
        },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
        {
            name: 'flaresolverr',
            type: 'info',
            label: 'FlareSolverr',
            default: 'This site may use Cloudflare DDoS Protection, therefore Jackett requires <a href="https://github.com/Jackett/Jackett#configuring-flaresolverr" target="_blank">FlareSolver</a> to access it.',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 3,
            options: { '1': 'title', '3': 'created', '4': 'size', '6': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: { method: 'cookie', test: { path: 'browse.php' } },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            searchin: 'title',
            incldead: 1,
            only_free: '{{ if .Config.freeleech }}1{{ else }}{{ end }}',
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        keywordsfilters: [{ name: 're_replace', args: ['(\\w+)', ' +$1'] }],
        rows: { selector: 'tbody > tr:has(a[href^="download.php"])' },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=\\"(.*?)\\"' }],
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            date: {
                selector: 'td:nth-child(4) span:contains("day")',
                optional: true,
                filters: [{ name: 'append', args: ' +00:00' }, { name: 'fuzzytime' }],
            },
            size: { selector: 'td:nth-child(5)' },
            grabs: {
                selector: 'td:nth-child(6)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            downloadvolumefactor: {
                case: { 'a.info > b:contains("FREE")': 0, '*': 1 },
            },
            uploadvolumefactor: { case: { '*': 1 } },
            minimumratio: { text: 1 },
            minimumseedtime: {
                case: { 'a.info > b:contains("FREE")': 172800, '*': 129600 },
            },
        },
    },
    source: 'jackett',
};
