"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'zamundanet',
    name: 'Zamunda.net',
    description: 'Zamunda is a BULGARIAN Private Torrent Tracker for 0DAY / GENERAL',
    language: 'bg-BG',
    type: 'private',
    encoding: 'WINDOWS-1251',
    links: ['https://zamunda.net/', 'https://zamunda.ch/'],
    legacylinks: ['http://zamunda.net/', 'http://zamunda.ch/'],
    caps: {
        categorymappings: [
            { id: '5', cat: 'Movies/HD', desc: 'Movies/HD' },
            { id: '19', cat: 'Movies/SD', desc: 'Movies/SD' },
            { id: '20', cat: 'Movies/DVD', desc: 'Movies/DVD-R' },
            { id: '24', cat: 'Movies', desc: 'Movies/BG' },
            { id: '25', cat: 'TV/Anime', desc: 'Animation/Anime' },
            { id: '28', cat: 'Movies', desc: 'Movies/Russia' },
            { id: '31', cat: 'Movies', desc: 'Movies/Science' },
            { id: '35', cat: 'Movies/HD', desc: 'Video/HD' },
            { id: '42', cat: 'Movies/BluRay', desc: 'Blu-ray' },
            { id: '46', cat: 'Movies/3D', desc: 'Movies/3D' },
            { id: '7', cat: 'TV/SD', desc: 'Serial' },
            { id: '33', cat: 'TV/HD', desc: 'Serial/HD' },
            { id: '6', cat: 'Audio', desc: 'Music' },
            { id: '29', cat: 'Audio/Video', desc: 'Music/DVD-R' },
            { id: '30', cat: 'Audio/Other', desc: 'Music/DTS' },
            { id: '34', cat: 'Audio/Other', desc: 'Music/Lossless' },
            { id: '51', cat: 'Audio/Lossless', desc: 'Music/Hi-Res/Vinyl' },
            { id: '4', cat: 'PC/Games', desc: 'Games/PC ISO' },
            { id: '12', cat: 'Console', desc: 'Games/Console' },
            { id: '17', cat: 'Console/PS4', desc: 'Games/PS' },
            { id: '21', cat: 'PC/Games', desc: 'Games/PC Rip' },
            { id: '39', cat: 'PC/Games', desc: 'Games/Mac' },
            { id: '40', cat: 'Console/Xbox', desc: 'Games/Xbox' },
            { id: '54', cat: 'PC/Games', desc: 'Games/Linux' },
            { id: '1', cat: 'PC/ISO', desc: 'Programs/PC ISO' },
            { id: '22', cat: 'PC/0day', desc: 'Programs/other' },
            { id: '38', cat: 'PC/Mac', desc: 'Programs/Mac' },
            { id: '41', cat: 'TV/Sport', desc: 'Sport/TV' },
            { id: '43', cat: 'TV/Sport', desc: 'Sport/HD' },
            { id: '23', cat: 'Other', desc: 'Clips' },
            { id: '26', cat: 'Other', desc: 'Other' },
            { id: '32', cat: 'Books/Comics', desc: 'Books/Comic' },
            { id: '36', cat: 'PC/Mobile-Other', desc: 'Mobile/GSM' },
            { id: '37', cat: 'PC/0day', desc: 'Dox' },
            { id: '52', cat: 'PC/Mobile-Android', desc: 'Android/Games' },
            { id: '53', cat: 'PC/Mobile-Android', desc: 'Android/Apps' },
            { id: '9', cat: 'XXX', desc: 'XXX' },
            { id: '27', cat: 'XXX', desc: 'Hentai' },
            { id: '48', cat: 'XXX', desc: 'XXX/3D' },
            { id: '49', cat: 'XXX', desc: 'XXX/HD' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Filter freeleech only',
            default: false,
        },
        {
            name: 'info_results',
            type: 'info',
            label: 'Search results',
            default: 'This Indexer supports search results only from the <b>LIST</b> view.<br><li>Access the web site, bring up the torrent search page and click on the <b>LIST</b> icon setting (located to the top right of the search results table).</li><br>The alternate <i>GRID</i> view is not supported.',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 6,
            options: { '2': 'title', '6': 'created', '7': 'size', '9': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'bananas' },
    },
    search: {
        paths: [{ path: 'bananas' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        headers: { cookie: ['xporn=1'] },
        rows: {
            selector: '.responsetop > tbody > tr:has(a[href^="banan?id="]){{ if .Config.freeleech }}:has(a[style="color: #b9a100;"]){{ else }}{{ end }}',
        },
        fields: {
            title: {
                selector: 'a[href^="/download.php"]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: " (.+?)'" },
                    { name: 're_replace', args: [' rq$', ''] },
                ],
            },
            details: { selector: 'a[href^="banan?id="]', attribute: 'href' },
            category: {
                selector: 'a[href^="list?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            download: {
                selector: 'a[href^="/download.php"]',
                attribute: 'href',
            },
            grabs: {
                selector: 'td:nth-child(7)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            size: { selector: 'td:nth-child(6)' },
            date: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 'append', args: ' +02:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            poster: {
                selector: 'td:nth-child(2) > a:nth-child(1)',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: "src=\\\\'([^\\s\\\\]+)" }],
            },
            downloadvolumefactor: {
                case: { 'a[style="color: #b9a100;"][href^="banan?"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
